Bug 31858 - fast/replaced/table-percent-height.html depends on form control sizes in Mac
Summary: fast/replaced/table-percent-height.html depends on form control sizes in Mac
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Kent Tamura
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-24 22:32 PST by Kent Tamura
Modified: 2009-12-07 23:38 PST (History)
5 users (show)

See Also:


Attachments
Proposed patch (26.98 KB, patch)
2009-11-25 01:04 PST, Kent Tamura
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Tamura 2009-11-24 22:32:45 PST
I think we had better modify table-percent-height.html so that it doesn't use
concrete pixel numbers. I don't think form controls in non-Mac platforms should
have the same dimensions as in Mac.

The current tests are like:

  shouldBe("getComputedStyleForElement(document.getElementById('button-75'),
'height')", "'15px'");
  shouldBe("getComputedStyleForElement(document.getElementById('button-100'),
'height')", "'15px'");

This should be changed to:

  shouldBe("getComputedStyleForElement(document.getElementById('button-75'),
           "getComputedStyleForElement(document.getElementById('button-100'));
Comment 1 Kent Tamura 2009-11-25 01:04:56 PST
Created attachment 43829 [details]
Proposed patch

See Bug#15359 for the origin of these tests.
Comment 2 Adam Barth 2009-11-30 12:40:24 PST
style-queue ran check-webkit-style on attachment 43829 [details] without any errors.
Comment 3 Darin Adler 2009-12-04 12:18:50 PST
Comment on attachment 43829 [details]
Proposed patch

If we really wanted to improve portability we'd change the test to not write out actual pixel sizes, right? I still see lots of pixel sizes written out.

This change seems fine, but I'm not really sure it achieves you goals.
Comment 4 Kent Tamura 2009-12-06 18:11:29 PST
(In reply to comment #3)
> (From update of attachment 43829 [details])
> If we really wanted to improve portability we'd change the test to not write
> out actual pixel sizes, right? I still see lots of pixel sizes written out.
> 
> This change seems fine, but I'm not really sure it achieves you goals.

Thank you for reviewing.
The remaining pixel values are for canvas, embed, and images.  We expect they have no platform differences, and we don't need to avoid pixel values.
Comment 5 WebKit Commit Bot 2009-12-06 18:46:02 PST
Comment on attachment 43829 [details]
Proposed patch

Clearing flags on attachment: 43829

Committed r51744: <http://trac.webkit.org/changeset/51744>
Comment 6 WebKit Commit Bot 2009-12-06 18:46:07 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Kent Tamura 2009-12-07 23:38:17 PST
(In reply to comment #4)
> (In reply to comment #3)
> > (From update of attachment 43829 [details] [details])
> > If we really wanted to improve portability we'd change the test to not write
> > out actual pixel sizes, right? I still see lots of pixel sizes written out.
> > 
> > This change seems fine, but I'm not really sure it achieves you goals.
> 
> Thank you for reviewing.
> The remaining pixel values are for canvas, embed, and images.  We expect they
> have no platform differences, and we don't need to avoid pixel values.

Ah, I found the test results had actual pixel sizes for button/input/select.  They should not be visible.